#include <Servo.h>
#include <Motoron.h>

// constants won't change. They're used here to set pin numbers:
const int buttonPin2 = 2;  // the number of the pushbutton pin
const int ledPin = 13;    // the number of the LED pin
const int servoPin4 = 5;

// variables will change:
int buttonState2 = 0;  // variable for reading the pushbutton status
int servoVal = 0; //current servo position
Servo myservo;

void setup() {
  // initialize the LED pin as an output:
  pinMode(ledPin, OUTPUT); //makes it go fast
  // initialize the pushbutton pin as an input:
  pinMode(buttonPin2, INPUT);
  myservo.attach(servoPin4);
  myservo.write(0);
  delay(50);
}

void loop() {
  // read the state of the pushbutton value:
  buttonState2 = digitalRead(buttonPin2);
  
  servoVal = myservo.read();

  // check if the pushbutton is pressed. If it is, the buttonState is HIGH:
  if (buttonState2 == HIGH) {
    // turn LED on:
    myservo.write(servoVal + 45);
    digitalWrite(LED_BUILTIN, HIGH);
  } 
  
  else {
    // turn LED off:
    digitalWrite(LED_BUILTIN, LOW); 
    myservo.write(servoVal - 45);
  }
}
